# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLHeadingElement Class Reference

For the `H1` to `H6` elements. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLHeadingElement:

[legend]
Collaboration diagram for DOM::HTMLHeadingElement:

[legend]
List of all members.

## Public Member Functions

| HTMLHeadingElement (const HTMLHeadingElement &other)
| HTMLHeadingElement (const Node &other)
HTMLHeadingElement & | operator= (const HTMLHeadingElement &other)
HTMLHeadingElement & | operator= (const Node &other)
DOMString | align () const
| Horizontal text alignment.
void | setAlign (const DOMString &)
| see align

## Protected Member Functions

| HTMLHeadingElement (HTMLElementImpl *impl)

## Detailed Description

For the `H1` to `H6` elements.

See the H1 element definition in HTML 4.0.

Definition at line 215 of file html_block.h.

## Member Function Documentation

DOMString HTMLHeadingElement::align | ( |  | ) | const

| Horizontal text alignment. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 237 of file html_block.cpp.

void HTMLHeadingElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 243 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:21 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001